## blm 1.2

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 1.2
Date: 2011-07-02
Depends: R (>= 2.10.1), stats, methods, BB, MASS, numDeriv, alabama (>=
        2010.9-1)
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: General additive regression models for binary cohort data
        which use constrained maximum likelihood for estimation.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-07-02 20:15:49 UTC; skoval
Repository: CRAN
Date/Publication: 2011-07-04 07:40:05

## blm 0.9.3

=== debian/changelog ===
blm (0.9.3-3) unstable; urgency=low

  * QA upload
  * set format to "3.0 (quilt)"
  * remove empty paragraph from end of description
  * debhelper compatibility up to 7
  * fix debian/rules
  - call dh_prep before creating a package
  - add build-arch/build-indep
  - don't use debian/tmp without need
  - use config.guess and config.sub from autotools-dev
  - use dpkg-architecture and dpkg-buildflags
  * drop build dependency on g++-4.3 (Closes: 594277)
  * bump Standards-Version
  * add Vcs-Git pointing to history pushed to collab-maint

 -- Bernhard R. Link <brlink@debian.org>  Mon, 19 Sep 2011 15:54:05 +0200

blm (0.9.3-2) unstable; urgency=low

  * Switched to compiler 4.3.  (Closes: #533792)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sun, 21 Jun 2009 19:14:23 -0700

blm (0.9.3-1) unstable; urgency=low

  * New upstream release, now supporting gcc-4.3. (Closes: #462592)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 25 Jan 2008 14:09:19 -0800

blm (0.9.2-1) unstable; urgency=low

  * New upstream release.  Now with random line shuffling feature.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 11 Jan 2008 10:01:01 -0800

blm (0.9.0-2) unstable; urgency=low

  * Improved description.

  * Changed source package section to text.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Tue, 25 Dec 2007 23:51:40 -0800

blm (0.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #457778)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 24 Dec 2007 12:27:16 -0800

=== debian/control ===
Source: blm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.9.2
Section: text
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/blm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/blm.git

Package: blm
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Boolean line manipulator utility program for set operations
 blm is a Boolean line manipulator utility program.  It allows you to
 perform set operations like union, intersection, difference, and
 exclusive-or by considering line-oriented files as sets of strings with
 one string on each line.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CXXFLAGS            := $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall

build: build-arch build-indep
build-indep:
build-arch: build-stamp

builddir/config.status: configure
	dh_testdir
	mkdir -p builddir
	cp /usr/share/misc/config.sub /usr/share/misc/config.guess .
	cd builddir && ../configure --prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
		LDFLAGS='$(LDFLAGS)'

build-stamp: builddir/config.status
	dh_testdir
	$(MAKE) -C builddir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.guess config.sub
	rm -rf builddir
	dh_clean

binary-indep:

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/blm install install-man
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://complearn.org/download.html .*/blm-(.*)\.tar\.gz

## blm 2011.1.3

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2011.1.3
Date: 2011-08-17
Depends: R (>= 2.10.1), stats, methods, BB, MASS, numDeriv, alabama (>=
        2010.9-1)
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: General additive regression models for binary cohort data
        which use constrained maximum likelihood for estimation.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-08-18 15:24:56 UTC; skoval
Repository: CRAN
Date/Publication: 2011-08-19 04:54:06

## blm 2011.2.0

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2011.2.0
Date: 2011-11-20
Depends: R (>= 2.10.1), stats, methods, BB, MASS, numDeriv, alabama (>=
        2010.9-1)
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: General additive regression models for binary cohort data which use constrained maximum likelihood for estimation.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-11-23 04:40:27 UTC; skoval
Repository: CRAN
Date/Publication: 2011-11-23 10:21:41

## blm 2012.2.1

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2012.2.1
Date: 2012-5-10
Depends: R (>= 2.10.1), stats, methods, MASS
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the
        absolute risk scale. These models are applicable to cohort and
        populaiton-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
BuildVignettes: no
Packaged: 2012-05-19 04:34:15 UTC; kovalchiksa
Repository: CRAN
Date/Publication: 2012-05-19 06:38:03

## blm 2012.2.2

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2012.2.2
Date: 10-6-2012
Depends: R (>= 2.10.1), stats, methods, MASS
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the
        absolute risk scale. These models are applicable to cohort and
        population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
BuildVignettes: no
Packaged: 2012-10-06 18:25:57 UTC; kovalchiksa
Repository: CRAN
Date/Publication: 2012-10-06 19:17:04

## blm 2012.2.3

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2012.2.3
Date: 10-10-2012
Depends: R (>= 2.10.1), stats, methods, MASS
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the
        absolute risk scale. These models are applicable to cohort and
        population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
BuildVignettes: no
Packaged: 2012-11-19 03:32:40 UTC; kovalchiksa
Repository: CRAN
Date/Publication: 2012-11-19 07:01:01

## blm 2012.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: blm
 Type: Package
 Title: Binomial linear and linear-expit regression
-Version: 2012.2.3
+Version: 2012.2.4
 Date: 10-10-2012
 Depends: R (>= 2.10.1), stats, methods, MASS
 Author: S. Kovalchik
@@ -12,6 +12,6 @@
 License: GPL (>= 2)
 LazyLoad: yes
 BuildVignettes: no
-Packaged: 2012-11-19 03:32:40 UTC; kovalchiksa
+Packaged: 2012-12-11 15:39:16 UTC; kovalchiksa
 Repository: CRAN
-Date/Publication: 2012-11-19 07:01:01
+Date/Publication: 2012-12-14 15:54:33

## blm 2013.2.4.1

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2013.2.4.1
Date: 2-10-2013
Depends: R (>= 2.10.1), stats, methods, MASS
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the
        absolute risk scale. These models are applicable to cohort and
        population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
BuildVignettes: no
Packaged: 2013-02-11 04:43:07 UTC; kovalchiksa
Repository: CRAN
Date/Publication: 2013-02-11 06:57:20

## blm 2013.2.4.2

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2013.2.4.2
Date: 4-17-2013
Depends: R (>= 2.10.1), stats, methods, MASS
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the
        absolute risk scale. These models are applicable to cohort and
        population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
BuildVignettes: no
Packaged: 2013-04-17 20:05:04 UTC; kovalchiksa
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-04-17 23:18:25

## blm 2013.2.4.3

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2013.2.4.3
Date: 5-09-2013
Depends: R (>= 2.10.1), stats, methods, MASS
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the
        absolute risk scale. These models are applicable to cohort and
        population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
BuildVignettes: no
Packaged: 2013-05-10 13:35:30 UTC; kovalchiksa
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-05-17 16:12:08

## blm 2013.2.4.4

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial linear and linear-expit regression
Version: 2013.2.4.4
Date: 8-14-2013
Depends: R (>= 2.10.1), methods
Imports: stats, stats4
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the absolute risk scale. These models are applicable to cohort and population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2013-08-16 16:33:13 UTC; kovalchiksa
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-08-16 18:36:19

## blm 2022.0.0.1

=== DESCRIPTION ===
Package: blm
Type: Package
Title: Binomial Linear Regression
Version: 2022.0.0.1
Date: 2022-09-09
Depends: R (>= 3.0), methods
Imports: stats, stats4
Author: S. Kovalchik
Maintainer: S.Kovalchik <s.a.kovalchik@gmail.com>
Description: Implements regression models for binary data on the absolute risk scale. These models are applicable to cohort and population-based case-control data.
License: GPL (>= 2)
LazyLoad: yes
LazyData: true
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2022-09-12 08:12:56 UTC
RoxygenNote: 7.1.1
Packaged: 2022-09-10 13:40:00 UTC; skovalchik
